<?php
/*******************************************************************************
PkLasku : web-based invoicing software.
Copyright (C) 2004-2007 Samu Reinikainen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. (gpl.txt included)

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 
Free Software Foundation, Inc., 
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact us :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

/*******************************************************************************
PkLasku : web-pohjainen laskutusohjelmisto.
Copyright (C) 2004-2007 Samu Reinikainen

T&auml;m&auml; ohjelma on vapaa; t&auml;t&auml; ohjelmaa on sallittu levitt&auml;&auml; edelleen ja muuttaa GNU yleisen lisenssin (GPL lisenssin) ehtojen mukaan sellaisina kuin Free Software Foundation on ne julkaissut; joko Lisenssin version 2, tai (valinnan mukaan) mink&auml; tahansa my&ouml;hemm&auml;n version mukaisesti.

T&auml;t&auml; ohjelmaa levitet&auml;&auml;n siin&auml; toivossa, ett&auml; se olisi hy&ouml;dyllinen, mutta ilman mit&auml;&auml;n takuuta; ilman edes hiljaista takuuta kaupallisesti hyv&auml;ksytt&auml;v&auml;st&auml; laadusta tai soveltuvuudesta tiettyyn tarkoitukseen. Katso GPL lisenssist&auml; lis&auml;&auml; yksityiskohtia. (ohjelman mukana tullut gpl.txt)

T&auml;m&auml;n ohjelman mukana pit&auml;isi tulla kopio GPL lisenssist&auml;; jos n&auml;in ei ole, kirjoita osoitteeseen: 
Free Software Foundation Inc., 
59 Temple Place Suite 330, Boston, MA 02111-1307, USA.

Yhteystiedot :
Samu Reinikainen
Kultalakintie 2 A 1
FIN-40640 JYVSKYL
phone: +358 46 810 4040
email: samu.reinikainen@gmail.com
*******************************************************************************/

require "htmlfuncs.php";
require "sqlfuncs.php";
require "sessionfuncs.php";

$strSesID = $_REQUEST['ses'] ? $_REQUEST['ses'] : FALSE;

if( !sesCheckSession( $strSesID ) ) {
    die;
}
require "localize.php";

//button & function array...
$astrButtons = array (
    array("name" => "invoice", "title" => "locSHOWINVOICENAVI", "link" => "'navi.php?ses=". $GLOBALS['sesID']. "&amp;show=invoice'", "action" => "changeNavi", "levels_allowed" => array(1) ),
    array("name" => "reports", "title" => "locSHOWREPORTNAVI", "link" => "'navi.php?ses=". $GLOBALS['sesID']. "&amp;show=reports'", "action" => "changeNavi", "levels_allowed" => array(1) ),
    array("name" => "settings", "title" => "locSHOWSETTINGSNAVI", "link" => "'navi.php?ses=". $GLOBALS['sesID']. "&amp;show=settings'", "action" => "changeNavi", "levels_allowed" => array(1) ),
    array("name" => "system", "title" => "locSHOWSYSTEMNAVI", "link" => "'navi.php?ses=". $GLOBALS['sesID']. "&amp;show=system'", "action" => "changeNavi", "levels_allowed" => array(99) ),
    array("name" => "help", "title" => "locSHOWHELP", "link" => "'help.php?ses=". $GLOBALS['sesID']. "&amp;topic=main', '_blank', 'height=400,width=400,menubar=no,scrollbars=yes,status=no,toolbar=no'", "action" => "window.open", "levels_allowed" => array(1) ),
    array("name" => "logout", "title" => "locLOGOUT", "link" => "'logout.php?ses=". $GLOBALS['sesID']. "', '_top'", "action" => "window.open", "levels_allowed" => array(1) )
);

echo htmlPageStart( _PAGE_TITLE_ );

?>
<script type="text/javascript">
<!--
function changeNavi( strLink ) {
//    if( this.document.form_search.changed.value == 0 || confirm('All changes will be lost!\n\rOK to continue?') ) {
        parent.f_navi.location.href = strLink;
        //parent.frset_bottom.f_list.location.href = 'todo.php?ses=<?=$GLOBALS['sesID']?>';
        //parent.frset_bottom.frset_main.f_main.location.href = 'blank.html';
        //parent.frset_bottom.frset_main.f_funcs.location.href = 'blank.html';
        //parent.frset_bottom.frset_main.f_funcs2.location.href = 'blank.html';
//    }
    
    return true;
}
//changeNavi('<?=$strLink?>')
//parent.frset_bottom.f_list.location.href = 'todo.php?ses=<?=$GLOBALS['sesID']?>';
-->
</script>
<body class="navi">
<form method="post" action="<?=$_SERVER["PHP_SELF"]?>?ses=<?=$GLOBALS['sesID']?>" target="_self" name="form_topnavi">
<table>
<?php
//onLoad="parent.f_navi.location.href = '<=$strLink>';"
for( $i = 0; $i < count($astrButtons); $i++ ) {
    $strButton = 
        "<a class=\"buttonlink\" href=\"#\" onClick=\"". $astrButtons[$i]["action"]. "(". $astrButtons[$i]["link"]. "); return false;\">". $GLOBALS[$astrButtons[$i]["title"]]. "</a>";
        
    if( in_array($GLOBALS['sesACCESSLEVEL'], $astrButtons[$i]["levels_allowed"]) || $GLOBALS['sesACCESSLEVEL'] == 99 ) {
?>
    <td>
        <?=$strButton?>
    </td>
<?php
    }
}

?>

</tr>
</table>
</form>
</body>
</html>
